## org.jibx.extras
Class TestRoundtrip

    java.lang.Object
      org.jibx.extras.TestRoundtrip

    public class TestRoundtrip

extends java.lang.Object

Test program for the JiBX framework. Works with two or three command line arguments: mapped-class, in-file, and out-file (optional, only needed if different from in-file). You can also supply a multiple of three input arguments, in which case each set of three is processed in turn (in this case the out-file is required). Unmarshals documents from files using the binding defined for the mapped class, then marshals them back out using the same bindings and compares the results. In case of a comparison error the output file is left as temp.xml.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Constructor Summary
`TestRoundtrip()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestRoundtrip

    public TestRoundtrip()

Method Detail

### main

    public static void main(java.lang.String[] args)

Project Web Site |